%define _requires_exceptions lib.*gio\\|lib.*glib

Name:		gio-sharp
Version:	2.22.3
Release:	%mkrel 1
License:	GPLv2 and MIT
Group:		Development/Other
Summary:	.NET/C# Bindings for GIO
Url:		http://gitorious.org/gio-sharp
Source:		https://github.com/downloads/mono/%{name}/%{name}-%{version}.tar.bz2
BuildArch:	noarch
BuildRequires:	glib2-devel >= 2.22
BuildRequires:	glib-sharp2
BuildRequires:	gtk-sharp2-devel
BuildRequires:	mono-devel
BuildRequires:	monodoc-core
Requires:	glib2 > 2.22
#gw strictly speaking, it needs libgio:
Requires:	gvfs

%description
C#/CLI bindings for GIO.

%package devel
Group:		Development/Other
Summary:	.NET/C# Bindings for GIO
Requires:	%{name} = %{version}

%description devel
Files for developing programs that use gio-sharp.

%prep
%setup -q

%build
%configure2_5x --libdir=%{_prefix}/lib
make

%install
%makeinstall_std pkgconfigdir=%{_datadir}/pkgconfig

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc AUTHORS
%dir %{_prefix}/lib/gio-sharp/
%{_prefix}/lib/gio-sharp/gio-sharp.dll*

%files devel
%defattr(-,root,root)
%{_datadir}/pkgconfig/gio-sharp-2.0.pc
%dir %{_datadir}/gapi-2.0/
%{_datadir}/gapi-2.0/gio-api.xml




%changelog

* Fri Dec 02 2011 wally <wally> 2.22.3-1.mga2
+ Revision: 175154
- disable parallel build
- new version 2.22.3
- clean .spec

* Thu Mar 24 2011 boklm <boklm> 2.22-0.2.mga1
+ Revision: 76142
- rebuild for bug #497

* Tue Mar 15 2011 ennael <ennael> 2.22-0.1.mga1
+ Revision: 71943
- imported package gio-sharp


* Sat Aug 07 2010 Götz Waschk <waschk@mandriva.org> 2.22-0.1mdv2011.0
+ Revision: 567377
- import gio-sharp


